Create Backup Policy
Creates a backup policy.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
projectId
ID of the project you want to create a backup policy in. You can get your project ID from the API Credentials page in your global management console.
Headers
X-Action-Approval-Request-Id
ID of an approved action request. Applicable only when the method is protected by an action approval policy and the action request has been approved.
When used, the current API request must match the original request parameters. The approved action request can be executed only by the original requester.
Request
This endpoint expects an object.
name
Backup policy display name.
resourceSelector
Configuration that determines which resources are included in the backup policy.
Includes a combination of dynamic resource selection and manual overrides.
backupPlan
enabled
Whether the backup policy is enabled.
Response
Backup policy created.
backupPolicy